// About.cpp : implementation file
//

#include "stdafx.h"
#include "bibobApp.h"
#include "About.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CAbout dialog
static char* helpitems[] = {
	_T("Bibob is a Multiple Document Bitboard Viewer/Editor"),
	_T(""),
	_T("It displays 64-bit Numbers in a Bitboard-Representation."),
	_T("Square A1 is the least significant Bit, Square H8 is the"),
	_T("most significant Bit. Bit-Order A1,Bit 0 via H1= Bit 7..."),
	_T(""),
	_T("It was intended as a Debug-Tool for Bitboard-Chessprograms,"),
	_T("or other Programs that use a setwise Interpretation of"),
	_T("64-bit Numbers, but has become a didactical MDI-Application"),
	_T("to demonstrate some Toolbar- or Controlbar Features."),
	_T(""),
	_T("Text-Clipboard support via cut/copy hex and paste decimal,"),
	_T("hexadecimal as well as Fen-Strings."),
	_T(""),
	_T("A set of Unary as well as Binary Integer Operations perform"),
	_T("on Bitboards. A Second Operand Dropdown-Combobox features some"),
	_T("common Constants, as well as Bitboards of other Document-"),
	_T("Windows - so that binary arithmetical and bitwise logical"),
	_T("Operations may be performed between several Windows."),
	_T(""),
	_T("Double click on a square toggles its state."),
	_T(""),
	_T("(C) 2013 Gerd Isenberg")
};

#define N_ITMES (sizeof(helpitems)/sizeof(helpitems[0]))


CAbout::CAbout(CWnd* pParent /*=NULL*/)
	: CDialog(CAbout::IDD, pParent)
{
	m_Str = _T("");
}


void CAbout::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_HELP, m_Edit);
	DDX_Text(pDX, IDC_EDIT_HELP, m_Str);
}


BEGIN_MESSAGE_MAP(CAbout, CDialog)
END_MESSAGE_MAP()

BOOL CAbout::OnInitDialog() {
	CDialog::OnInitDialog();
	for (int i=0; i < N_ITMES; i++) {
		m_Str += helpitems[i];
		m_Str += _T("\r\n");
	}
	UpdateData(false);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
